package kz.cafe.client.rest.wrappers;

import kz.cafe.constants.*;
import kz.cafe.db.model.*;

public class JMAbstractDescriptor extends JMAbstractDataElement{
   
   public String name;
   public String description;
   public String image;
   public int order;
   
   
   
   public void fillIn(InterfaceConstants.LANGS lang, MAbstractDescriptor mAbstractDescriptor){
      super.fillIn(mAbstractDescriptor);
      
      this.name = mAbstractDescriptor.name.get(lang);
      this.description = mAbstractDescriptor.description.get(lang);
      this.image = checkIsImageEmpty(mAbstractDescriptor.image);
      this.order = mAbstractDescriptor.order;
   }
}
